/* Estilos gerais */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Courier New", Courier, monospace;
}

:root {
  --bg-color: #222;
  --text-color: #000;
  --btn-color: #f3f3f3;
  --btn-hover-color: #000;
  --hover-color-text: #fff;
  --bg-todo: #f3f3f3;
  --done: #222;
  --done-color: #fff;
}

.light {
  --bg-color: #d8d8d8;
  --text-color: #ffffff;
  --btn-color: #383838;
  --btn-hover-color: #ffffff;
  --hover-color-text: #000;
  --bg-todo: #383838;
  --done: #d8d8d8;
  --done-color: #000;
}

::-webkit-scrollbar {
  width: 5px;
}
::-webkit-scrollbar-thumb {
  border-radius: 50px;
  background: var(--bg-color);
}
::-webkit-scrollbar-track {
  background: var(--bg-todo);
}

body {
  background-color: var(--bg-color);
  color: var(--text-color);
  height: 100vh;
}

button {
  background-color: var(--btn-color);
  color: var(--text-color);
  border: 2px solid #000;
  padding: 0.3rem 0.6rem;
  font-size: 1rem;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.4s;
}

button:hover {
  background-color: var(--btn-hover-color);
  color: var(--hover-color-text);
}

button:hover > i {
  color: var(--hover-color-text);
}

button i {
  color: var(--text-color);
  font-weight: bold;
  pointer-events: none;
}

input,
select {
  padding: 0.25rem 0.5rem;
}

label {
  font-size: 1rem;
  font-weight: 500;
}

h2 {
  font-size: 0.9rem;
}

.hide {
  display: none;
}

/* todo-conteiner */
.todo-conteiner {
  max-width: 500px;
  margin: 3rem auto;
  background-color: var(--bg-todo);
  padding: 1.5rem;
  border-radius: 15px;
}

.todo-conteiner header {
  padding: 0 1rem 1rem;

  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* todo-form */
#todo-form,
#edit-form {
  padding: 1rem;
  border-bottom: 1px solid #888888;
}

#todo-form label,
#edit-form label {
  margin-bottom: 1rem;
  font-weight: bold;
}

.form-control {
  display: flex;
}

.form-control input {
  margin-right: 0.3rem;
}

#edit-cancel-btn {
  margin-top: 1rem;
}

/* todo-toobar */
#toolbar {
  padding: 1rem;
  border-bottom: 1px solid #888888;
  display: flex;
}

#toolbar label {
  margin-bottom: 0.5rem;
}

#search {
  border-right: 1px solid #888888;
  padding-right: 1rem;
  margin-right: 1rem;
  width: 65%;
  display: flex;
  flex-direction: column;
}

.form-search {
  display: flex;
}

#search input {
  width: 100%;
  margin-right: 0.3rem;
}

#filter {
  width: 35%;
  display: flex;
  flex-direction: column;
}

#filter select {
  flex: 1;
}

/* todo-list */
#todo-list {
  max-height: 300px;
  overflow-y: scroll;
}

/* todo */
.todo {
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 1rem;
  padding-bottom: 1px solid #888888;
  transition: 0.4s;
}

.todo h2 {
  flex: 1;
  font-size: 0.9rem;
}

.todo button {
  margin-left: 0.4rem;
}

.done {
  background-color: var(--done);
}

.done h2 {
  color: var(--done-color);
  text-decoration: line-through;
}

/* light theme */
#change-theme {
  display: none;
}

.fa-solid {
  font-size: 20px;
  color: var(--text-color);
}

#fa-moon {
  display: none;
}

#fa-sun {
  display: block;
}

.light #fa-sun {
  display: none;
}

.light #fa-moon {
  display: block;
}

@media (max-width: 550px) {
  html {
    font-size: 80%;
    padding: 10px;
  }
}
